# pyshover

A simple Pushover client

Install:

Library: `pip install pyshover`
Script: `pipx install pyshover`


Sample Usage:

```python
from pushover import Pushover

po = Pushover(app_token="fake", user_token="fake", message="message",title="title")
po.send()
```

Make the call more simple by exporting `PUSHOVER_USER_TOKEN`,
`PUSHOVER_APP_TOKEN`, and, optionally, `PUSHOVER_DEVICE_TOKEN`

```python
from pushover import Pushover

po = Pushover(message="message",title="title")
po.send()
```

### Lineage

- <https://github.com/pix0r/pushover>
- <https://github.com/wyattjoh/pushover>
- This repo.

## Shell script

### Installing with `pipx`

`pipx install pyshover` will leave you with an isolated binary called `pushover`

Confirm your install with `pipx list` or `which pushover`

For CLI arguments, use `pushover -h`
